<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
InstallDebugAddIn Method (IEdmAddInMgr6)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmAddInMgr6 Interface : InstallDebugAddIn Method (IEdmAddInMgr6)

Visual Basic
C#
C++/CLI

oAddIn
  Contains either the path to the DLL of the add-in to add or the ID of the class that implements IEdmAddIn5

Installs an add-in for debugging on this machine.

# Syntax

Visual Basic |
--- | ---

    Sub InstallDebugAddIn( _
       ByVal oAddIn As System.Object _
    )

C# |
--- | ---

    void InstallDebugAddIn(
       System.object oAddIn
    )

C++/CLI |
--- | ---

    void InstallDebugAddIn(
    &   System.Object^ oAddIn
    )

#### Parameters

oAddIn
  Contains either the path to the DLL of the add-in to add or the ID of the class that implements IEdmAddIn5

# Remarks

You can install add-ins for debugging either of two ways:

- Right-clicking the Add-ins node in the SOLIDWORKS PDM Professional Administration Tool and clicking Debug Add-ins.
- Calling this method.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmAddInMgr6 Interface
IEdmAddInMgr6 Members
IEdmAddInMgr6::RemoveDebugAddIn Method ()

# Availability

Version 6.4 of SOLIDWORKS PDM Professional